Unacceptable TLS certificate Ubuntu 20.04 (A solution)

Hello!
I’ve spend multiple hours to solve thus issue.

PROBLEM:
Tried to install FLATHUB resp., using Flatpak [see step no. 3 here][1]
[1]: https://flatpak.org/setup/Ubuntu/

STEP 3: flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

Tried everything I could think of; installing manually, reinstall gnome, reinstall flatpak, searching forums, even install curl to see the connection, tried switch connection from ethernet to wifi, Reinstalled my router, disabled the firewall. But every time when i executed step 3 I would get: “…Unacceptable TLS certificate”

SOLUTION: REINSTALL CA-CERTIFICATE
sudo apt install --reinstall ca-certificates
So frickin easy.

I really hope this solution help someone like me out. //CALLE

16 Likes

thanks bro I couldve easily spent an hour trying to fix this sh*t

2 Likes

saved me a lot of headaches too. thanks :slight_smile:

1 Like

Unfortunately, it doesn’t work for me. I’m getting the message

Blockquote"Reinstallation of ca-certificates is not possible, it cannot be downloaded"

Blockquote

You have no idea how many headaches your solution has saved me. Thank you so much. :+1:

1 Like